table.dataTable thead th, table.dataTable thead td,
table.dataTable.no-footer,
.table,
.dataTables_wrapper .dataTables_filter input,
.dataTables_wrapper .dataTables_length select {
	border-color:#e8ebf1 !important;
}

#popNotifCnt {
    position: fixed;
    z-index: 99999999;
    bottom: 0;
    right: 0;
    min-width: 320px;
}
li.jFiler-item .jFiler-item-container {
    border: 2px solid #e1e1e1 !important;
}

li.jFiler-item.active .jFiler-item-container {
    border: 2px solid blue !important;
}
.jFiler-items-grid .jFiler-item-trash-action {
    cursor: pointer;
    border: 1px solid transparent;
    color: #d9534f;
    padding: 5px 3px 3px 5px ;
}
.jFiler-items-grid .jFiler-item-trash-action:hover {
    border: 1px solid red;
}


/* CUSTOM CALENDAR  */

#js-calendar thead{
    background-color: #f3f3f3;
    text-align: center;
}
#js-calendar thead th{
    padding: 10px;
}
#js-calendar .place{
    background-color: #f3f3f3;

}
#js-calendar .place th,
#js-calendar .girl td {
    padding: 10px;
}
#js-calendar thead tr th:first-child,
#js-calendar tbody tr td:first-child {
  width: 10em;
  min-width: 10em;
  max-width: 10em;
  word-break: break-all;
}
#js-calendar .event{
    background-color: #eca13d;
    font-size: 12px;
    font-weight: 100;
    padding: 3px 5px;
    color: #fff;
    border-radius: 3px;
    cursor: pointer;
    margin-bottom: 5px;
    width: 100px;
}
#js-calendar .event:hover{
    opacity: 0.8;
}
#js-calendar .event.status-Pending{
    background-color: #fd7e14;
}
#js-calendar .event.status-Canceled{
    background-color: #f11d75;
}
#js-calendar .event.status-Approved{
    background-color: #00cccc;
}
#js-calendar .event.status-Completed{
    background-color: #10b759;
} 
#js-calendar .girl:hover a.hidden{
    opacity: 1;
}

#js-calendar a.hidden{
    opacity: 0;
    cursor: pointer;
} 
.css-form-highlight {
    border-bottom: 1px solid transparent;
    border-top: 1px solid transparent;
}
.css-form-highlight:hover {
    background-color: #f9fafb;
    border-bottom: 1px solid #f3f3f3;
    border-top: 1px solid #f3f3f3;
}
.row .row.css-form-highlight{
    padding: 10px;
    transition: background,border 0.3s ease;
}



/* INPUTS  */


::-webkit-input-placeholder {
    font-size: 12px;
    color: #a9a9a9 !important;
    font-style: italic
}

:-ms-input-placeholder {
    font-size: 12px;
    color: #a9a9a9 !important;
    font-style: italic
}

::placeholder {
    font-size: 12px;
    color: #a9a9a9 !important;
    font-style: italic
}





.tab-pane .section-wrapper {
    background-color: #f9fafb;
    padding: 15px;
}
table.dataTable tbody th, table.dataTable tbody td {
    padding: 5px 10px !important;
}


/* Select 2 */
.select2-container {
    display: block !important;
}

.select2-container--default .select2-selection--single, .select2-container--default .select2-selection--multiple {
    border: 1px solid #e8ebf1 !important;
    border-radius: 0px !important; 
}

.select2-container--default .select2-selection--single .select2-selection__arrow b::before, .select2-container--default .select2-selection--multiple .select2-selection__arrow b::before{
    content: '' !important;
}


.select2-container .select2-selection--single {
    height: 35px !important;
}

.select2-container .select2-selection--multiple{
    height: auto !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered, .select2-container--default .select2-selection--multiple .select2-selection__rendered{
    line-height: 1.4 !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b, .select2-container--default .select2-selection--multiple .select2-selection__arrow b{
     margin-top: 0px !important; 
}

.select2-container--default.select2-container--focus .select2-selection--multiple {
    border: 1px solid #e8ebf1 !important;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice {
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    display: inline-block;
    margin-left: 5px;
    margin-top: 5px;
    padding: 0;
    padding-left: 20px;
    position: relative;
    max-width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    vertical-align: bottom;
    white-space: nowrap;
    font-size: 13px;
    line-height: 25px;
    top: 0px;
}


.select2-container--default .select2-selection--multiple .select2-selection__choice__remove {
    background-color: transparent;
    border: none;
    border-right: 1px solid #ccc;
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
    color: #000 !important;
    cursor: pointer;
    font-size: 1em;
    font-weight: bold;
    padding: 0 4px;
    position: absolute;
    left: 0;
    top: 0;
}

.select2-container--default .select2-selection--multiple .select2-selection__choice__display {
    color: black !important;
}


/* END: Select2 */



.girl-badge {
    position: absolute;
    right: 20px;
    top: 20px;
    font-size: 9px;
    text-transform: uppercase;
    padding: 4px;
}
.girl-archived {
    position: absolute;
    left: 20px;
    top: 20px;
    opacity: 0.1;
}

table img.avatar {
    width: 45px;
    height: 45px;
}

/* Girl edit styles */
.girl-edit-occupancy-cnt{
    max-height: 400px !important;
    overflow: auto !important;
}

.p10{
    padding: 10px !important;
}

p.toggle-password, p.toggle-new-password{
   position: absolute;
   right: 45px;
   -webkit-transform: translateY(-130%);
   transform: translateY(-130%);
   cursor: pointer;
}

p.toggle-password:hover, p.toggle-new-password:hover{
    text-decoration: underline;
}


/* Overide */
.form-check-input {
    position: relative !important;
    margin: 0 !important;
    zoom: 1.35;
    top: 3px;
}


 /* Calendar */
 .table-calendar thead th {
    text-align: center;
    color: #000;
    font-weight: bold;
    
 }
 .table-calendar thead th,
 .table-calendar tbody td {
    text-align: center; 

 }
 .table-calendar tr {
    font-weight: normal;
    color: #999;
 }
.table-calendar td.odd{
    font-weight: bold;
    color: #000;
}
.table-calendar td.odd,
.table-calendar td.even {
    text-align: right; 
}
 .table-calendar td {
    border: 1px solid #ccc; 
    height: 40px; 
 }
 .table-calendar td a.add {
    opacity: 0;
 }
 .table-calendar td:hover a.add {
    opacity: 1;
 }
 .table-calendar td:hover a.edit {
    line-height: 1;
    padding: 0.5rem 1rem 0.4rem;
    color: #fff;
    background-color: #64738f;
    border-color: #64738f;
    border-radius: 0.1875rem;
 }


.occupancy-girl-name{
    width: 115px;
    display: block;
    clear: both;
    white-space: pre-wrap;
}

.ml50{
    margin-left: 50px !important;
}

.occupancy-calendar-weeks button{
    line-height: 1.3;
}

.mr20{
    margin-right: 20px !important;
}

.occupancies-table tbody tr th:first-child, .occupancies-table thead tr th:first-child {
    position: sticky !important;
    left: 0 !important;
    background-color: #ddd !important;
}

.table-calendar thead tr th, .table-calendar tbody tr td, .table-calendar tfoot tr td{
    width: 120px;
    text-align: center !important;
    font-size: 14px;
    padding: 2px !important;
    min-height: 20px !important;
    min-width: 120px;
    max-width: 120px;
    word-wrap: break-word !important;
    white-space: inherit !important;
}

.table-calendar thead tr th:first-child, .table-calendar tbody tr td:first-child, .table-calendar tfoot tr td:first-child{
    width: 100px !important;
}

.table-calendar thead {
    display: block;
}

.table-calendar tbody{
  display: block;
  /*height: 600px;*/
  overflow: auto;
}

.edit-booking-btn {
    padding: 3px 10px !important;
    display: block;
    width: 90%;
    margin: 3px auto;
}

.table-calendar tfoot{
    position: fixed;
    bottom: 0;
    background-color: #ececec;
    border: none;
    border-top: 0 !important;
}

.table-calendar tfoot td{
    text-transform: uppercase;
    font-weight: bold;
    color: #000;
    padding: 10px !important;
    width: 200px;
    text-align: center !important;
    font-size: 14px;
    height: 20px !important;
}


/*@media screen and (max-width: 1399px){
    .table-calendar tfoot {
        display: block !important; 
        position: sticky !important;
    }
}*/

.table-calendar thead tr th:first-child, .table-calendar tbody tr td:first-child, .table-calendar tfoot tr td:first-child{
    min-width: 70px !important;
    max-width: 70px !important;
}

@media screen and (max-width: 576px){

    .table-calendar thead tr th:first-child, .table-calendar tbody tr td:first-child, .table-calendar tfoot tr td:first-child {
        min-width: 36px !important;
        max-width: 36px !important;
        padding: 0px !important;
        font-size: 12px !important;
    }

    .table-calendar td.odd {
        font-weight: 500 !important;
    }
    
}

.mt40{
    margin-top: 40px !important;
}

.mt80{
    margin-top: 80px !important;
}

.mt33{
    margin-top: 33px !important;
}

.mb20{
    margin-bottom: 20px !important;
}

.mb5{
    margin-bottom: 5px !important;
}

.mb15{
    margin-bottom: 15px !important;
}


@media screen and (max-width: 480px){
    .sign-lang{
        float: left !important;
        padding-left: 1.5rem !important;
    }
}

.table-calendar tbody tr td{
    height: 20px !important;
    min-height: 20px !important;
    max-height: 20px !important;
}

.btn-booking-add{
    padding: 4px 10px !important;
}

.user-history-cnt p{
    background: #f5f5f5;
    padding: 5px 10px;
}

.user-history-cnt .btn-user-points{
    padding: 5px 10px !important;
}

.anonymous-customer, .duration-options{
    cursor: pointer;
}

.anonymous-customer:hover, .duration-options:hover{
    text-decoration: underline;
}

.anonymous-cnt, .duration-cnt, .cost-cnt, .lk-cnt, .bonus-cnt{
    display: none;
}

.table th, .table td {
    padding: .275rem .9375rem !important;
}

.bootstrap-datetimepicker-widget.dropdown-menu {
    width: auto !important;
    max-width: 100% !important;
}

.jFiler-item-assets .form-check .form-check-label input {
    display: none;
}

.jFiler-item-info-box {
    width: 100%;
    position: absolute;
    left: 0;
    bottom: 3px;
    font-size: 11px;
}

.jFiler-items-grid .jFiler-item .jFiler-item-container .jFiler-item-assets {
    position: relative;
}

.reload-page-note{
    text-decoration: underline;
}

@media screen and (max-width: 991px){
    .reload-page-btn{
        margin: 15px 0px !important;
        float: left !important;
    }
}

.indefinite-booking{
    border: 1px solid #000;
}

.overnight-booking{
    background: #727cf5 !important;
}

.sunday-bg{
    background: #ddd;
}

.escort-info-cnt{
    padding: 0.7rem !important;
}

@media screen and (min-width: 768px){
    .user-loyalty-cnt{
        display: inline-flex !important;
        justify-content: flex-end !important;
    }
}

@media screen and (max-width: 767px){
    .btn-user-points{
        margin-bottom: 5px !important;
    }
}

.user-loyalty-cnt.not-eligible{
    display: inline-flex !important;
}

.loyalty-member-info{
    padding-left: 0.75rem !important;
}

.settlements-label{
    line-height: 2.5 !important;
}

.settlements-total{
    background: #ddd !important;
}

.settlement-bookings-table i, 
.bookings-table i{
    font-size: 18px !important;
}

.settlement-bookings-table thead tr th, 
.settlement-bookings-table tbody tr td,
.bookings-table thead tr th, 
.bookings-table tbody tr td{
    text-align: center !important;
}

.settlement-bookings-table{
    width: 40% !important;
}

.settlements-table{
    width: 40% !important;
}

.fs15{
    font-size: 15px !important;
}

@media screen and (max-width: 575px){
    .close-settlement-btn{
        width: 100% !important;
    }

    .close-settlement-cnt{
        float: unset !important;
    }

    .btn-settlement{
        margin-left: 0px !important;
        /*margin-top: 15px !important;*/
    }
}

.settlement-label{
    margin-bottom: 0px !important;
    line-height: 2.5 !important;
}

.settlement-costs-cnt{
    display: none;
}

.settlement-costs{
    cursor: pointer;
}

.settlement-costs:hover{
    text-decoration: underline;
}

.delete-cost-btn{
    padding: 3px 5px !important;
}

.btn-settlement{
    line-height: 1.3 !important;
}

@media screen and (max-width: 900px){
    .total-fees-cnt{
        width: 100% !important;
        display: block !important;
    }
}

@media screen and (max-width: 480px){
    .completed-bookings-info{
        float: left !important;
    }

    .actual-settlement-table{
        width: 100% !important;
    }

    /*.settlement-calculation-cnt{
        display: block !important;
    }*/

    /*.settlement-cost-item{
        width: 100% !important;
    }*/

    .append-costs-btn{
        margin: 20px 0 0 0 !important;
    }

    .settlement-costs-cnt{
        margin-left: 0 !important;
    }

}

@media screen and (max-width: 991px){
    .settlements-table{
        margin-top: 0px !important;
    }
}

@media screen and (max-width: 767px){
    .settlements-table thead tr th, .settlements-table tbody tr td{
        padding: 5px !important;
    }

    .settlement-calculation-table{
        width: 100% !important;
        margin-top: 40px !important;
    }

    .settlement-bookings-table thead tr th, 
    .settlement-bookings-table tbody tr td{
        padding: 4px 6px !important;
    }

    .settlement-calculation-cnt{
        display: block !important;
    }

    .ml0{
        margin-left: 0px !important;
    }

}

.label-diff{
    white-space: normal !important;
}

.w-40{
    width: 40%;
}

.w-60{
    width: 60%;
}

.ml30{
    margin-left: 30px;
}

.booking-gray-group{
    background-color: #f0f0f0 !important;
}

.booking-group-separate td{
    border-bottom: 6px solid #e8ebf1;
}

.bonus-amount td{
    padding: 10px 15px !important;
}

.lk-booking{
    background-color: #f3f3f3 !important;
}

.no-lk-note{
    padding: 2px 6px !important;
}

.no-lk-note i{
    font-size: 14px !important;
}

.booking-stars{
    color: #ffce00;
}

.empty-star{
    color: #ccc !important;
}

.booking-rating{
    cursor: pointer;
}

.total-fees-cnt{
    display: flex;
    justify-content: space-between;
}

@media screen and (min-width: 992px) and (max-width: 1199px){
    .total-fees-cnt{
        width: 80% !important;
    }
}

.pending-booking-bg{
    background: #fff2e5 !important;
}

.canceled-booking-bg{
    background: #ffe8e7 !important;
}

.confirmed-booking-bg{
    background: #e9f5f8 !important;
}

.completed-booking-bg{
    background: #eefdec !important;
}

@media screen and (max-width: 1470px){
    .w-sm-100{
        width: 100% !important;
    }
}

@media screen and (max-width: 545px){
    .bonus-amount td{
        white-space: inherit !important;
    }
}